--
-- phpMyEzin - 0.8.1 to 0.8.3 version update SQL script
-- Developed by Ondrej Jombik <nepto@php.net>
-- Copyright (c) 2003 Platon SDG, http://www.platon.sk/
--

delete from ezin_config where a_key = 'line_wrap_br';
delete from ezin_config where a_key = 'line_wrap_p';
insert into ezin_config (a_key, value) values ('flags_article_hometext', 'B');
insert into ezin_config (a_key, value) values ('flags_article_bodytext', 'P');
insert into ezin_config (a_key, value) values ('flags_editorial', 'B');           
insert into ezin_config (a_key, value) values ('flags_message', 'B');
insert into ezin_config (a_key, value) values ('message_save_redirect', '0');
insert into ezin_config (a_key, value) values ('feedback_save_redirect', '0');
insert into ezin_config (a_key, value) values ('feedback_email', '');
insert into ezin_config (a_key, value) values ('debug_level', '0');

-- Feedback index/storage table
CREATE TABLE ezin_feedbacks (
		id				int not null auto_increment,
		section_id		int not null,
		datetime		datetime default NULL,
		ip				varchar(255) default NULL,
		user_agent		varchar(255) default NULL, -- yeah! we want to track agents as well
		PRIMARY KEY		(id)
		);

-- Feedback DATA table
CREATE TABLE ezin_feedback_data (
		feedback_id		int not null,
		field			varchar(255) default NULL,
		data			text default NULL,
		KEY				(feedback_id),
		KEY				(field)
		);

