<?php

// This is phpWebFileManager customization for phpMyEzin
// -- Nepto [05/02/2003]

$orig_dir = getcwd();

// security stuff 
chdir('../../'.$ezin_sys['dir']['admin'].'/inc/');
if (file_exists('auth.inc.php')) include_once('auth.inc.php');
else exit;

chdir($orig_dir);

$fm_cfg['lang']           = 'eng';
$fm_cfg['dir']['root']    = '../../'.$ezin_sys['dir']['upload'].'/';
$fm_cfg['dir']['start']   = '';
$fm_cfg['cgi']            = 'fm_';
$fm_cfg['url']['root']    = '../'.$ezin_sys['dir']['upload'].'/';
$fm_cfg['url']['icons']   = 'icons/';
$fm_cfg['mode']['dir']    = $ezin_sys['mode']['dir'];
$fm_cfg['mode']['file']   = $ezin_sys['mode']['file'];
$fm_cfg['format']['date'] = $ezin_cfg['format_date'];
$fm_cfg['show']['icons']  = 1;
$fm_cfg['show']['size']   = 1;
$fm_cfg['show']['date']   = 1;
$fm_cfg['color']['even']  = $ezin_cfg['color_highlight'];
$fm_cfg['color']['odd']   = '';

$fm_cfg_perm = $ezin_USER["role_file_management"];

$fm_cfg['perm']['dir']['rename'] = strpos($fm_cfg_perm, 'R') !== false;
$fm_cfg['perm']['dir']['remove'] = strpos($fm_cfg_perm, 'D') !== false;
$fm_cfg['perm']['dir']['create'] = strpos($fm_cfg_perm, 'C') !== false;
$fm_cfg['perm']['dir']['enter']  = strpos($fm_cfg_perm, 'E') !== false;
$fm_cfg['perm']['dir']['follow_symlinks'] = 0;

$fm_cfg['perm']['file']['rename'] = strpos($fm_cfg_perm, 'r') !== false;
$fm_cfg['perm']['file']['delete'] = strpos($fm_cfg_perm, 'd') !== false;
$fm_cfg['perm']['file']['create'] = strpos($fm_cfg_perm, 'c') !== false;
$fm_cfg['perm']['file']['upload'] = strpos($fm_cfg_perm, 'u') !== false;
$fm_cfg['perm']['file']['view']   = strpos($fm_cfg_perm, 'v') !== false;
$fm_cfg['perm']['file']['edit']   = strpos($fm_cfg_perm, 'e') !== false;
$fm_cfg['perm']['file']['save']   = strpos($fm_cfg_perm, 's') !== false;

function fm_header($var_ar) /* {{{ */
{
	global $fm_cfg;
	global $ezin_cfg;
	extract($var_ar);
	$message = htmlspecialchars(join("\n", $fm_action_message));
	if (stristr($ezin_cfg['admin_buttons_pos'], 'U')) {
		// TODO: classify this
		echo '<table border=0 cellpadding=0 cellspacing=0 width="100%" style="border:0;padding:0;">';
		echo '<tr><td align=left style="text-align:left;border:0;padding:0;" nowrap>' . "\n";
		if ($fm_cfg['perm']['dir']['create']) {
			echo '<input type="submit" name="'.$fm_cfg['cgi'].'action" value="'._FM_DIR_CREATE.'"> ';
		}
		if ($fm_cfg['perm']['file']['create']) {
			echo '<input type="submit" name="'.$fm_cfg['cgi'].'action" value="'._FM_FILE_CREATE.'"> ';
		}
		if ($fm_cfg['perm']['file']['upload']) {
			echo '<input type="submit" name="'.$fm_cfg['cgi'].'action" value="'._FM_FILE_UPLOAD.'"> ';
		}
		echo '</td><td align=right style="text-align:right;border:0;padding:0;" nowrap>' . "\n";
		echo strlen($message) > 0 ? $message : '<b>'. _FM_DIR. ':</b> /'. @$fm_dir_he2;
		echo '</td></tr></table>';
		echo '<hr>' . "\n";
	}
} /* }}} */

function fm_footer($var_ar) /* {{{ */
{
	global $fm_cfg;
	global $ezin_cfg;
	extract($var_ar);
	$message = htmlspecialchars(join("\n", $fm_action_message));
	echo '<hr>' . "\n";
	if (stristr($ezin_cfg['admin_buttons_pos'], 'D')
			|| ! stristr($ezin_cfg['admin_buttons_pos'], 'U')) {
		// TODO: classify this
		echo '<table border=0 cellpadding=0 cellspacing=0 width="100%" style="border:0;padding:0;">';
		echo '<tr><td align=left style="text-align:left;border:0;padding:0;" nowrap>' . "\n";
		if ($fm_cfg['perm']['dir']['create']) {
			echo '<input type="submit" name="'.$fm_cfg['cgi'].'action" value="'._FM_DIR_CREATE.'"> ';
		}
		if ($fm_cfg['perm']['file']['create']) {
			echo '<input type="submit" name="'.$fm_cfg['cgi'].'action" value="'._FM_FILE_CREATE.'"> ';
		}
		if ($fm_cfg['perm']['file']['upload']) {
			echo '<input type="submit" name="'.$fm_cfg['cgi'].'action" value="'._FM_FILE_UPLOAD.'"> ';
		}
		echo '</td><td align=right style="text-align:right;border:0;padding:0;" nowrap>' . "\n";
		if (stristr($ezin_cfg['admin_buttons_pos'], 'U')) {
			echo '<b>'. _FM_DIR. ':</b> /'. @$fm_dir_he2;
		} else {
			echo strlen($message) > 0 ? $message : '<b>'. _FM_DIR. ':</b> /'. @$fm_dir_he2;
		}
		echo '</td></tr></table>';
	} else {
		echo '<table border=0 cellpadding=0 cellspacing=0 width="100%" style="border:0;padding:0;">';
		echo '<tr><td align=left style="text-align:left;border:0;padding:0;" nowrap>' . "\n";
		echo $message;
		echo '</td><td align=right style="text-align:right;border:0;padding:0;" nowrap>' . "\n";
		echo '<b>'. _FM_DIR. ':</b> /'. @$fm_dir_he2;
		echo '</td></tr></table>';
	}
} /* }}} */

?>
